%define ff_epoch 0
%if %mdkversion < 200900
%define ff_ver 2.0.0.17
%else
%define ff_ver 3.0.3
%endif

%define _mozillapath %{_libdir}/firefox-%{ff_ver}
%define _mozillaextpath %{_mozillapath}/extensions

Summary: ScribeFire extension for firefox
Name: mozilla-firefox-ext-scribefire
Version: 2.3.1
Release: %mkrel 2
License: GPLv2
Group: Networking/WWW
URL: https://addons.mozilla.org/en-US/firefox/addon/1730
Source: https://addons.mozilla.org/en-US/firefox/downloads/file/17670/scribefire_blog_editor-%{version}-fx+sm.xpi
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: mozilla-firefox = %{ff_epoch}:%{ff_ver}

%description
ScribeFire (previously Performancing for Firefox) is a full-featured blog
editor that integrates with your browser and lets you easily post to your blog.
You can drag and drop formatted text from pages you are browsing, take notes,
and post to your blog.

%prep
%setup -q -c -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mozillaextpath}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{_mozillaextpath}/$hash"
mkdir -p "%{buildroot}$extdir"
cp -af * "%{buildroot}$extdir/"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %_mozillapath
%{_mozillaextpath}


%changelog
* Mon Sep 29 2008 Funda Wang <fundawang@mandriva.org> 2.3.1-2mdv2009.0
+ Revision: 289185
- rebuild for new FF

* Tue Aug 12 2008 Funda Wang <fundawang@mandriva.org> 2.3.1-1mdv2009.0
+ Revision: 271163
- New version 2.3.1

* Thu Jul 31 2008 Funda Wang <fundawang@mandriva.org> 2.3-1mdv2009.0
+ Revision: 258224
- New version 2.3

* Wed Jul 30 2008 Tiago Salem <salem@mandriva.com.br> 2.2.7-4mdv2009.0
+ Revision: 256468
- add conditional to ff3

* Wed Jul 16 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.7-3mdv2009.0
+ Revision: 236323
- rebuilt for mozilla-firefox-2.0.0.16

* Thu Jul 03 2008 Tiago Salem <salem@mandriva.com.br> 2.2.7-2mdv2009.0
+ Revision: 231261
- Rebuild for firefox 2.0.0.15

* Sun Jun 29 2008 Funda Wang <fundawang@mandriva.org> 2.2.7-1mdv2009.0
+ Revision: 229995
- New version 2.2.7

* Sun May 04 2008 Funda Wang <fundawang@mandriva.org> 2.1-1mdv2009.0
+ Revision: 201023
- New version 2.1

* Fri Apr 18 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.2-7mdv2009.0
+ Revision: 195595
- rebuild for mozilla-firefox-2.0.0.14

* Wed Mar 26 2008 Tiago Salem <salem@mandriva.com.br> 1.4.2-6mdv2008.1
+ Revision: 190331
- bump ff_ver and release

* Fri Mar 07 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.4.2-5mdv2008.1
+ Revision: 181497
- Rebuilt against FF 2.0.0.12

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.4.2-4mdv2008.1
+ Revision: 117796
- own firefox directories so that they're not left behind on uninstall

* Tue Dec 11 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.4.2-3mdv2008.1
+ Revision: 117476
- Rebuilt for FF 2.0.0.11

* Mon Nov 05 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.4.2-2mdv2008.1
+ Revision: 106120
- New firefox: 2.0.0.9

* Fri Oct 19 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.4.2-1mdv2008.1
+ Revision: 100398
- New upstream: 1.4.2
- Rebuilt against FF 2.0.0.8

* Wed Aug 01 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.4.1-1mdv2008.0
+ Revision: 57665
- Building for FF 2.0.0.6
- Import mozilla-firefox-ext-scribefire

